#pragma once

#include <string>
#include <stdexcept>

namespace HEJFOG{
  enum Status{
    good,
    not_enough_jets,
    too_much_energy
  };

  inline std::string to_string(Status s){
    switch(s){
    case good: return "good";
    case not_enough_jets: return "not enough jets";
    case too_much_energy: return "too much energy";
    default:;
    }
    throw std::logic_error{"unreachable"};
  }
}
